## mx-snapshot 19.1

=== debian/changelog ===
mx-snapshot (19.1) mx; urgency=medium

  * update exclusion list to not exclude /boot/grub/themes

 -- Adrian <adrian@mxlinux.org>  Fri, 04 Jan 2019 08:41:48 -0500

mx-snapshot (18.12.3) mx; urgency=medium

  * copy modules change

 -- Adrian <adrian@mxlinux.org>  Mon, 10 Dec 2018 11:58:09 -0500

mx-snapshot (18.12.2) mx; urgency=medium

  * adjust exclusions

 -- Adrian <adrian@mxlinux.org>  Mon, 10 Dec 2018 09:20:45 -0500

mx-snapshot (18.12.1) mx; urgency=medium

  * make featherpad default editor, set nano as fallback

 -- Adrian <adrian@mxlinux.org>  Tue, 04 Dec 2018 22:41:58 -0500

mx-snapshot (18.12) mx; urgency=medium

  * fix quotation, might solve installer icon missing on Desktop

 -- Adrian <adrian@mxlinux.org>  Tue, 04 Dec 2018 17:12:25 -0500

mx-snapshot (18.11.2) mx; urgency=medium

  * exclude /etc/X11/xorg.conf.d/20-amd.conf

 -- Adrian <adrian@mxlinux.org>  Fri, 30 Nov 2018 15:41:51 -0500

mx-snapshot (18.11.1) mx; urgency=medium

  * exclude encryption files

 -- Adrian <adrian@mxlinux.org>  Wed, 28 Nov 2018 22:10:30 -0500

mx-snapshot (18.11) mx; urgency=medium

  * create sha512 sum
  * added -m "Month" option, convenience shortcut for Monthly snapshot

 -- Adrian <adrian@mxlinux.org>  Thu, 15 Nov 2018 16:58:25 -0500

mx-snapshot (18.10) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Sun, 14 Oct 2018 20:08:06 -0400

mx-snapshot (18.9.1) mx; urgency=medium

  * allow writing environment to NTFS partitions

 -- Adrian <adrian@mxlinux.org>  Sat, 22 Sep 2018 18:10:26 -0400

mx-snapshot (18.9) mx; urgency=medium

  * use default editor if the editor is set in .conf file is absent

 -- Adrian <adrian@mxlinux.org>  Mon, 17 Sep 2018 17:44:00 -0400

mx-snapshot (18.8.4) mx; urgency=medium

  * select larger / or /home for work folder
  * add work folder exclusion

 -- Adrian <adrian@mxlinux.org>  Mon, 13 Aug 2018 21:34:34 -0400

mx-snapshot (18.8.3) mx; urgency=medium

  * enable saving snapshot to NTFS and FAT32 partitions

 -- Adrian <adrian@mxlinux.org>  Sun, 12 Aug 2018 16:36:33 -0400

mx-snapshot (18.8.2) mx; urgency=medium

  * fix icon other themes

 -- Adrian <adrian@mxlinux.org>  Sat, 11 Aug 2018 22:55:49 -0400

mx-snapshot (18.8.1) mx; urgency=medium

  * fix cleanup if canceled

 -- Adrian <adrian@mxlinux.org>  Sat, 11 Aug 2018 01:09:29 -0400

mx-snapshot (18.8) mx; urgency=medium

  * minor fix: progress bar

 -- Adrian <adrian@mxlinux.org>  Sat, 04 Aug 2018 23:29:04 -0400

mx-snapshot (18.6.1) mx; urgency=medium

  * use libcmd to run shell commands
  * added changelog button
  * added /var/log/mx-snapshot.log

 -- Adrian <adrian@mxlinux.org>  Wed, 27 Jun 2018 17:29:54 -0400

mx-snapshot (18.6) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Mon, 18 Jun 2018 17:34:20 -0400

mx-snapshot (18.5) mx; urgency=medium

  * exclude user directories set in other languages

 -- Adrian <adrian@mxlinux.org>  Thu, 24 May 2018 08:18:11 -0400

mx-snapshot (18.3+2) mx; urgency=medium

  * copy Installer.desktop only if force_installer=true

 -- Adrian <adrian@mxlinux.org>  Mon, 26 Mar 2018 13:52:20 -0400

mx-snapshot (18.3+1) mx; urgency=medium

  * add option to force installation of installer

 -- Adrian <adrian@mxlinux.org>  Mon, 19 Mar 2018 13:38:27 -0400

mx-snapshot (18.3) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Fri, 02 Mar 2018 11:41:14 -0500

mx-snapshot (18.2) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Sat, 10 Feb 2018 02:21:09 -0500

mx-snapshot (18.01) mx; urgency=medium

  * update copy-initrd scripts

 -- Adrian <adrian@mxlinux.org>  Sun, 14 Jan 2018 19:15:22 -0500

mx-snapshot (17.12) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Mon, 04 Dec 2017 15:09:47 -0500

mx-snapshot (17.11+2) mx; urgency=medium

  * fix LANG detection

 -- Adrian <adrian@mxlinux.org>  Sat, 11 Nov 2017 18:49:18 -0500

mx-snapshot (17.11+1) mx; urgency=medium

  * add FR help

 -- Adrian <adrian@mxlinux.org>  Fri, 10 Nov 2017 11:06:49 -0500

mx-snapshot (17.11) mx; urgency=medium

  * exclude localhost only for generalized snapshot

 -- Adrian <adrian@mxlinux.org>  Wed, 01 Nov 2017 15:14:13 -0400

mx-snapshot (17.10) mx; urgency=medium

  * exclude /etc/localhost if link

 -- Adrian <adrian@mxlinux.org>  Sat, 21 Oct 2017 09:57:44 -0400

mx-snapshot (17.9.2) mx; urgency=medium

  * fix replacing custom strings

 -- Adrian <adrian@mxlinux.org>  Sat, 30 Sep 2017 12:13:37 -0400

mx-snapshot (17.9.1) mx; urgency=medium

  * replace release number and code name in menus

 -- Adrian <adrian@mxlinux.org>  Sat, 30 Sep 2017 01:00:19 -0400

mx-snapshot (17.9) mx; urgency=medium

  * preparing package for MX17

 -- Adrian <adrian@mxlinux.org>  Sat, 02 Sep 2017 12:59:28 -0400

mx-snapshot (17.6mx16+1) mx; urgency=medium

  * added exclusion for network connections

 -- Adrian <adrian@mxlinux.org>  Fri, 23 Jun 2017 12:03:31 -0400

mx-snapshot (17.6mx16) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Fri, 02 Jun 2017 15:05:27 -0400

mx-snapshot (17.5mx16+1) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Thu, 11 May 2017 23:19:14 -0400

mx-snapshot (17.5mx16) mx; urgency=medium

  * update icons

 -- Adrian <adrian@mxlinux.org>  Wed, 10 May 2017 15:37:05 -0400

mx-snapshot (17.4mx16) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Wed, 26 Apr 2017 09:54:43 -0400

mx-snapshot (17.2mx16) mx; urgency=medium

  * bug fix

 -- Adrian <adrian@mxlinux.org>  Thu, 16 Feb 2017 17:53:19 -0500

mx-snapshot (16.12mx16) mx; urgency=medium

  * alternative dependency: mx-iso-template

 -- Adrian <adrian@mxlinux.org>  Mon, 05 Dec 2016 15:32:14 -0500

mx-snapshot (16.11mx16+7) mx; urgency=medium

  * added microsoft keyboard module to copy-initrd-modules

 -- Adrian <adrian@mxlinux.org>  Fri, 02 Dec 2016 15:33:02 -0500

mx-snapshot (16.11mx16+6) mx; urgency=medium



## mx-snapshot 19.1.1

=== debian/changelog ===
mx-snapshot (19.1.1) mx; urgency=medium

  * exclude /etc/machine-id
  * exclude /var/lib/NetworkManager/*

 -- Adrian <adrian@mxlinux.org>  Fri, 18 Jan 2019 11:09:29 -0500

## mx-snapshot 19.1.2

=== debian/changelog ===
mx-snapshot (19.1.2) mx; urgency=medium

  * add vmd to copy-initrd-modules

 -- Adrian <adrian@mxlinux.org>  Tue, 22 Jan 2019 20:06:36 -0500

## mx-snapshot 19.1.3

=== debian/changelog ===
mx-snapshot (19.1.3) mx; urgency=medium

  * add make-efi-img script

 -- Adrian <adrian@mxlinux.org>  Sun, 27 Jan 2019 13:29:03 -0500

## mx-snapshot 19.2

=== debian/changelog ===
mx-snapshot (19.2) mx; urgency=medium

  * build EFI bootable image

 -- Adrian <adrian@mxlinux.org>  Wed, 06 Feb 2019 14:03:37 -0500

## mx-snapshot 25.11.1

=== CMakeLists.txt ===
# **********************************************************************
# * Copyright (C) 2015-2025 MX Authors
# *
# * Authors: Adrian
# *          MX Linux <http://mxlinux.org>
# *
# * This file is part of MX Snapshot.
# *
# * MX Snapshot is free software: you can redistribute it and/or modify
# * it under the terms of the GNU General Public License as published by
# * the Free Software Foundation, either version 3 of the License, or
# * (at your option) any later version.
# *
# * MX Snapshot is distributed in the hope that it will be useful,
# * but WITHOUT ANY WARRANTY; without even the implied warranty of
# * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# * GNU General Public License for more details.
# *
# * You should have received a copy of the GNU General Public License
# * along with MX Tools.  If not, see <http://www.gnu.org/licenses/>.
# **********************************************************************

cmake_minimum_required(VERSION 3.16)

# Get version from debian/changelog
execute_process(
    COMMAND dpkg-parsechangelog -SVersion
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    OUTPUT_VARIABLE PROJECT_VERSION_FROM_CHANGELOG
    OUTPUT_STRIP_TRAILING_WHITESPACE
    RESULT_VARIABLE DPKG_RESULT
)

if(NOT DPKG_RESULT EQUAL 0 OR NOT PROJECT_VERSION_FROM_CHANGELOG)
    message(FATAL_ERROR "Failed to get version from debian/changelog using dpkg-parsechangelog")
endif()

project(mx-snapshot
    VERSION ${PROJECT_VERSION_FROM_CHANGELOG}
    DESCRIPTION "MX Snapshot - A tool for creating live ISO images from running MX Linux systems"
    LANGUAGES CXX
)

# Set default build type if not specified
if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Debug" CACHE STRING "Choose the type of build" FORCE)
    set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release" "MinSizeRel" "RelWithDebInfo")
endif()

# Set C++ standard
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# Enable compile commands export for IDEs and tools
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

# Optimize for Ninja builds
if(CMAKE_GENERATOR STREQUAL "Ninja")
    # Enable colored output for Ninja
    if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
        add_compile_options(-fdiagnostics-color=always)
    elseif(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
        add_compile_options(-fcolor-diagnostics)
    endif()
endif()

# Option to use clang for testing builds
option(USE_CLANG "Use clang compiler" OFF)
if(USE_CLANG)
    set(CMAKE_C_COMPILER clang)
    set(CMAKE_CXX_COMPILER clang++)
    set(CMAKE_CXX_COMPILER_ID "Clang")
    message(STATUS "Using clang compiler")
endif()

# Options to control what to build
option(BUILD_GUI "Build GUI version" ON)
option(BUILD_CLI "Build CLI version" ON)

# Find Qt6 components - include all components needed for either build
set(QT_COMPONENTS Core LinguistTools)
if(BUILD_GUI)
    list(APPEND QT_COMPONENTS Gui Widgets)
endif()

find_package(Qt6 REQUIRED COMPONENTS ${QT_COMPONENTS})

# Enable automatic MOC, UIC, and RCC processing
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

# Common source files
set(COMMON_SOURCES
    src/log.cpp
    src/main.cpp
    src/cmd.cpp
    src/settings.cpp
    src/batchprocessing.cpp
    src/work.cpp
    src/filesystemutils.cpp
    src/systeminfo.cpp
    src/messagehandler.cpp
)

set(COMMON_HEADERS
    src/common.h
    src/log.h
    src/cmd.h
    src/settings.h
    src/batchprocessing.h
    src/work.h
    src/filesystemutils.h
    src/systeminfo.h
    src/messagehandler.h
)

# GUI-specific source files
set(GUI_SOURCES
    src/mainwindow.cpp
    src/about.cpp
)

set(GUI_HEADERS
    src/mainwindow.h
    src/about.h
)

set(UI_FILES
    src/mainwindow.ui
)

set(RESOURCE_FILES
    images.qrc
)

# Get all translation files
file(GLOB TRANSLATION_FILES "translations/*.ts")

# Create GUI executable
if(BUILD_GUI)
    add_executable(mx-snapshot
        ${COMMON_SOURCES}
        ${GUI_SOURCES}
        ${COMMON_HEADERS}
        ${GUI_HEADERS}
        ${UI_FILES}
        ${RESOURCE_FILES}
    )

    # Link Qt6 libraries for GUI
    target_link_libraries(mx-snapshot
        Qt6::Core
        Qt6::Gui
        Qt6::Widgets
    )

    set_target_properties(mx-snapshot PROPERTIES
        OUTPUT_NAME "mx-snapshot"
        RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}
    )
endif()

# Create CLI executable
if(BUILD_CLI)
    add_executable(iso-snapshot-cli
        ${COMMON_SOURCES}
        ${COMMON_HEADERS}
        ${RESOURCE_FILES}
    )

    # Set CLI build definition
    target_compile_definitions(iso-snapshot-cli PRIVATE CLI_BUILD=1)

    # Link Qt6 libraries for CLI
    target_link_libraries(iso-snapshot-cli
        Qt6::Core
    )

    set_target_properties(iso-snapshot-cli PROPERTIES
        OUTPUT_NAME "iso-snapshot-cli"
        RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}
    )
endif()

# Function to set common compile options and definitions
function(set_common_properties target)
    # Set compiler flags
    target_compile_options(${target} PRIVATE
        -Wpedantic
        -pedantic
        -Werror=return-type
        -Werror=switch
        -Werror=uninitialized
        -Werror
    )

    # Add compiler-specific flags
    if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR USE_CLANG)
        target_compile_options(${target} PRIVATE -Werror=return-stack-address)
    else()
        target_compile_options(${target} PRIVATE -Werror=return-local-addr)
    endif()

    # Set compile definitions
    target_compile_definitions(${target} PRIVATE
        QT_DEPRECATED_WARNINGS
        QT_DISABLE_DEPRECATED_BEFORE=0x060000
        VERSION="${PROJECT_VERSION}"
    )

    # Build type specific optimizations
    if(CMAKE_BUILD_TYPE STREQUAL "Release")
        target_compile_definitions(${target} PRIVATE NDEBUG)
        target_compile_options(${target} PRIVATE -O3)

        # Add LTO - different flags for different compilers
        if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR USE_CLANG)
            target_compile_options(${target} PRIVATE -flto=thin)
            target_link_options(${target} PRIVATE -flto=thin)
        else()
            target_compile_options(${target} PRIVATE -flto=auto)
            target_link_options(${target} PRIVATE -flto=auto)
        endif()
    elseif(CMAKE_BUILD_TYPE STREQUAL "Debug")
        target_compile_options(${target} PRIVATE -g -O0)
        target_compile_definitions(${target} PRIVATE DEBUG)
    endif()
endfunction()

# Apply common properties to targets
if(BUILD_GUI)
    set_common_properties(mx-snapshot)
endif()

if(BUILD_CLI)
    set_common_properties(iso-snapshot-cli)
endif()

# Handle translations
if(BUILD_GUI)
    qt6_add_translations(mx-snapshot
        TS_FILES ${TRANSLATION_FILES}
	LRELEASE_OPTIONS -compress -nounfinished -removeidentical -silent
	QM_FILES_OUTPUT_VARIABLE qm_files
    )
endif()

if(BUILD_CLI)
    qt6_add_translations(iso-snapshot-cli
        TS_FILES ${TRANSLATION_FILES}
	LRELEASE_OPTIONS -compress -nounfinished -removeidentical -silent
	QM_FILES_OUTPUT_VARIABLE qm_files
    )
endif()



# Installation targets (required by Debian build system)
# Other files are handled by debian/install
if(BUILD_GUI)
    install(TARGETS mx-snapshot
        RUNTIME DESTINATION bin
    )
endif()

if(BUILD_CLI)
    install(TARGETS iso-snapshot-cli
        RUNTIME DESTINATION bin
    )
endif()

## mx-snapshot 19.2.1

=== debian/changelog ===
mx-snapshot (19.2.1) mx; urgency=medium

  * mount bind /boot if on separate partition

 -- Adrian <adrian@mxlinux.org>  Tue, 12 Feb 2019 10:39:15 -0500

=== debian/control ===
Source: mx-snapshot
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: qt5-qmake,
	qt5-default,
	qttools5-dev-tools,
	debhelper (>=9),
	libcmd
Standards-Version: 3.9.8
Vcs-Git: git://github.com/AdrianTM/mx-snapshot

Package: mx-snapshot
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mx-viewer|xdg-utils, squashfs-tools, syslinux-utils, mx-iso-template | iso-template (>= 16.1mx15), xorriso (>= 1.4.6), mx-remaster, menu, xdg-user-dirs
Description: MX Snapshot
 MX Snapshot is a tool used for creating a live-CD from the running system.

=== debian/rules ===
#!/usr/bin/make -f

QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE
MAKE_OPTS  = QMAKE=qmake-qt5 LRELEASE=lrelease-qt5 QMAKE_OPTS="$(QMAKE_OPTS)"

override_dh_auto_clean:
	dh_auto_clean
	rm -f src/translations/*.qm

override_dh_auto_build:
	lrelease mx-snapshot.pro
	dh_auto_build -- $(MAKE_OPTS)

override_dh_auto_install:
	dh_auto_install -- $(MAKE_OPTS)

override_dh_builddeb:
	dh_builddeb -- -Z xz

override_dh_usrlocal:

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

%:
	dh $@ --parallel

## mx-snapshot 19.3

=== debian/changelog ===
mx-snapshot (19.3) mx; urgency=medium

  * fix running cleanup script twice

 -- Adrian <adrian@mxlinux.org>  Mon, 18 Mar 2019 11:35:26 -0400

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	rm -f src/translations/*.qm
 
 override_dh_auto_build:
-	lrelease mx-snapshot.pro
+	lrelease src.pro
 	dh_auto_build -- $(MAKE_OPTS)
 
 override_dh_auto_install:

## mx-snapshot 19.3.1

=== debian/changelog ===
mx-snapshot (19.3.1) mx; urgency=medium

  * exclude home directory for other localized users

 -- Adrian <adrian@mxlinux.org>  Sat, 23 Mar 2019 00:58:20 -0400

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5

override_dh_auto_clean:
	dh_auto_clean
	rm -f src/translations/*.qm

override_dh_auto_build:
	lrelease src.pro
	dh_auto_build

# Uncomment if building in Virtual Box
override_dh_shlibdeps:
	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info

%:
	dh $@ --parallel

## mx-snapshot 19.3.2

=== debian/changelog ===
mx-snapshot (19.3.2) mx; urgency=medium

  * check for compression support in kernel

 -- Adrian <adrian@mxlinux.org>  Tue, 26 Mar 2019 23:57:33 -0400

## mx-snapshot 19.4

=== debian/changelog ===
mx-snapshot (19.4) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Fri, 05 Apr 2019 11:53:17 -0400

## mx-snapshot 19.4.1

=== debian/changelog ===
mx-snapshot (19.4.1) mx; urgency=medium

  * fix trailing space in exclusion file

 -- Adrian <adrian@mxlinux.org>  Mon, 08 Apr 2019 09:54:58 -0400

## mx-snapshot 19.4.2

=== debian/changelog ===
mx-snapshot (19.4.2) mx; urgency=medium

  * fix help file URL

 -- Adrian <adrian@mxlinux.org>  Sun, 21 Apr 2019 17:49:45 -0400

## mx-snapshot 19.4.3

=== debian/changelog ===
mx-snapshot (19.4.3) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Wed, 24 Apr 2019 15:11:37 -0400

## mx-snapshot 19.5

=== debian/changelog ===
mx-snapshot (19.5) mx; urgency=medium

  * use monospace font in output box

 -- Adrian <adrian@mxlinux.org>  Tue, 07 May 2019 17:13:00 -0400

=== debian/control ===
Source: mx-snapshot
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: qt5-qmake,
	qtbase5-dev,
	qttools5-dev-tools,
	debhelper (>=9),
	libcmd
Standards-Version: 3.9.8
Vcs-Git: git://github.com/AdrianTM/mx-snapshot

Package: mx-snapshot
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, 
	mx-viewer | xdg-utils, 
	squashfs-tools, 
	syslinux-utils, 
	mx-iso-template | iso-template (>= 16.1mx15), 
	xorriso (>= 1.4.6), 
	mx-remaster, 
	menu, 
	xdg-user-dirs
Description: MX Snapshot
 MX Snapshot is a tool used for creating a live-CD from the running system.

## mx-snapshot 19.5.1

=== debian/changelog ===
mx-snapshot (19.5.1) mx; urgency=medium

  * added a couple of syncs to make sure the files are fully written before checksum is calculated

 -- Adrian <adrian@mxlinux.org>  Tue, 14 May 2019 16:30:15 -0400

## mx-snapshot 19.5.2

=== debian/changelog ===
mx-snapshot (19.5.2) mx; urgency=medium

  * updated copy-initrd-modules

 -- Adrian <adrian@mxlinux.org>  Mon, 20 May 2019 18:00:51 -0400

## mx-snapshot 19.7

=== debian/changelog ===
mx-snapshot (19.7) mx; urgency=medium

  * exclude timeshift folders

 -- Adrian <adrian@mxlinux.org>  Mon, 01 Jul 2019 14:39:20 -0400

## mx-snapshot 19.7.1

=== debian/changelog ===
mx-snapshot (19.7.1) mx; urgency=medium

  * fix window buttons for Buster

 -- Adrian <adrian@mxlinux.org>  Sun, 07 Jul 2019 14:02:03 -0400

## mx-snapshot 19.7.2

=== debian/changelog ===
mx-snapshot (19.7.2) mx; urgency=medium

  * new icon

 -- Adrian <adrian@mxlinux.org>  Mon, 08 Jul 2019 14:33:21 -0400

=== debian/control ===
Source: mx-snapshot
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper (>=9),
               libcmd,
               qt5-qmake,
               qtbase5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.8
Vcs-Git: git://github.com/AdrianTM/mx-snapshot

Package: mx-snapshot
Architecture: any
Depends: menu,
         mx-iso-template | iso-template (>= 16.1mx15),
         mx-remaster,
         mx-viewer | xdg-utils,
         squashfs-tools,
         syslinux-utils,
         xdg-user-dirs,
         xorriso (>= 1.4.6),
         ${misc:Depends},
         ${shlibs:Depends}
Description: MX Snapshot
 MX Snapshot is a tool used for creating a live-CD from the running system.

## mx-snapshot 19.7.3

=== debian/changelog ===
mx-snapshot (19.7.3) mx; urgency=medium

  * revised modules

 -- Adrian <adrian@mxlinux.org>  Tue, 16 Jul 2019 00:22:42 -0400

## mx-snapshot 19.8

=== debian/changelog ===
mx-snapshot (19.8) mx; urgency=medium

  * change to make it compatible with Buster base

 -- Adrian <adrian@mxlinux.org>  Sun, 11 Aug 2019 21:54:28 -0400

## mx-snapshot 19.8.1

=== debian/changelog ===
mx-snapshot (19.8.1) mx; urgency=medium

  * added offline help file

 -- Adrian <adrian@mxlinux.org>  Wed, 21 Aug 2019 15:21:04 -0400

## mx-snapshot 19.8.2

=== debian/changelog ===
mx-snapshot (19.8.2) mx; urgency=medium

  * update modules list in copy-initrd-modules

 -- Adrian <adrian@mxlinux.org>  Sat, 24 Aug 2019 03:01:39 -0400

## mx-snapshot 19.8.3

=== debian/changelog ===
mx-snapshot (19.8.3) mx; urgency=medium

  * fix: allow about/help to run while calculating space used by system

 -- Adrian <adrian@mxlinux.org>  Sat, 31 Aug 2019 12:26:39 -0400

## mx-snapshot 19.8.4

=== debian/changelog ===
mx-snapshot (19.8.4) mx; urgency=medium

  * added compression settings dropdown
  * removed "edit configuration file" button

 -- Adrian <adrian@mxlinux.org>  Sat, 31 Aug 2019 23:12:10 -0400

## mx-snapshot 19.9

=== debian/changelog ===
mx-snapshot (19.9) mx; urgency=medium

  * fix: trim characters when testing if xdg-user-dir returns useful info

 -- Adrian <adrian@mxlinux.org>  Sun, 15 Sep 2019 17:40:39 -0400

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Adrian <adrian@mxlinux.org>
-Build-Depends: debhelper (>=9),
-               libcmd,
-               qt5-qmake,
-               qtbase5-dev,
-               qttools5-dev-tools
+Build-Depends: debhelper (>=9), libcmd, qtbase5-dev, qttools5-dev-tools
 Standards-Version: 3.9.8
 Vcs-Git: git://github.com/AdrianTM/mx-snapshot

## mx-snapshot 19.10

=== debian/changelog ===
mx-snapshot (19.10) mx; urgency=medium

  * exclude minstall.conf for generic snapshots
  * remove libcmd dependency
  * show mkquashfs progress bar in a line

 -- Adrian <adrian@mxlinux.org>  Sun, 06 Oct 2019 09:44:39 -0400

## mx-snapshot 19.10.01

=== debian/changelog ===
mx-snapshot (19.10.01) mx; urgency=medium

  * update location exclude file

 -- Adrian <adrian@mxlinux.org>  Sun, 13 Oct 2019 15:09:28 -0400

## mx-snapshot 19.10.02

=== debian/changelog ===
mx-snapshot (19.10.02) mx; urgency=medium

  * fix folder exclusion in /home

 -- Adrian <adrian@mxlinux.org>  Wed, 23 Oct 2019 03:30:48 -0400

## mx-snapshot 19.10.04

=== debian/changelog ===
mx-snapshot (19.10.04) mx; urgency=medium

  * check using trailing slash too

 -- Adrian <adrian@mxlinux.org>  Wed, 30 Oct 2019 10:00:00 -0400

mx-snapshot (19.10.03) mx; urgency=medium

  * fix check for misconfigured xdg-user-dir

 -- Adrian <adrian@mxlinux.org>  Wed, 30 Oct 2019 08:13:18 -0400

## mx-snapshot 19.12

=== debian/changelog ===
mx-snapshot (19.12) mx; urgency=medium

  * faster used space estimation in live environment

 -- Adrian <adrian@mxlinux.org>  Tue, 10 Dec 2019 13:00:33 -0500

## mx-snapshot 19.12.01

=== debian/changelog ===
mx-snapshot (19.12.01) mx; urgency=medium

  * use relative location for grep,cat,sed,su,etc for Stretch

 -- Adrian <adrian@mxlinux.org>  Thu, 12 Dec 2019 21:35:22 -0500

## mx-snapshot 19.12.02

=== debian/changelog ===
mx-snapshot (19.12.02) mx; urgency=medium

  * fix: mv and grep location in main.cpp

 -- Adrian <adrian@mxlinux.org>  Fri, 13 Dec 2019 09:56:35 -0500

## mx-snapshot 20.1

=== debian/changelog ===
mx-snapshot (20.1) mx; urgency=medium

  * adjust permission on minstall.desktop to remove lock emblem when on desktop

 -- Adrian <adrian@mxlinux.org>  Mon, 13 Jan 2020 20:45:34 -0500

## mx-snapshot 20.2

=== debian/changelog ===
mx-snapshot (20.2) mx; urgency=medium

  * updte copy-initrd-modules

 -- Adrian <adrian@mxlinux.org>  Sun, 02 Feb 2020 12:13:29 -0500

## mx-snapshot 20.3

=== debian/changelog ===
mx-snapshot (20.3) mx; urgency=medium

  * add /etc/snapshot_created with date of creation

 -- Adrian <adrian@mx>  Thu, 12 Mar 2020 01:09:26 -0400

## mx-snapshot 20.4

=== debian/changelog ===
mx-snapshot (20.4) mx; urgency=medium

  * replace su with runuser

 -- Adrian <adrian@mxlinux.org>  Fri, 24 Apr 2020 15:31:00 -0400

## mx-snapshot 20.4.1

=== debian/changelog ===
mx-snapshot (20.4.1) mx; urgency=medium

  * fix localized folder selection for multiple users >2

 -- Adrian <adrian@mxlinux.org>  Wed, 29 Apr 2020 17:06:03 -0400

## mx-snapshot 20.6

=== debian/changelog ===
mx-snapshot (20.6) mx; urgency=medium

  * fix folder quoting

 -- Adrian <adrian@mxlinux.org>  Sat, 06 Jun 2020 01:06:07 -0400

## mx-snapshot 20.10.1

=== debian/changelog ===
mx-snapshot (20.10.1) mx; urgency=medium

  * add more network manager storage locations

 -- Adrian <adrian@mxlinux.org>  Tue, 20 Oct 2020 19:28:28 -0400

mx-snapshot (20.10) mx; urgency=medium

  * exclude ~/.cache/thumbnails
  * add exclude Network configurations checkbox in GUI
  * improve editor selection

 -- Adrian <adrian@mxlinux.org>  Mon, 19 Oct 2020 16:43:50 -0400

## mx-snapshot 20.10.2

=== debian/changelog ===
mx-snapshot (20.10.2) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Sun, 25 Oct 2020 18:41:43 -0400

## mx-snapshot 20.11

=== debian/changelog ===
mx-snapshot (20.11) mx; urgency=medium

  * new copy-initrd-modules

 -- Adrian <adrian@mxlinux.org>  Tue, 17 Nov 2020 15:36:05 -0500

## mx-snapshot 20.12

=== debian/changelog ===
mx-snapshot (20.12) mx; urgency=medium

  * adjust checksum generation for preempt_rt kernel 

 -- fehlix <fehlix@mxlinux.org>  Tue, 01 Dec 2020 20:56:40 -0400

## mx-snapshot 20.12.01

=== debian/changelog ===
mx-snapshot (20.12.01) mx; urgency=medium

  * add checksum checkbox option
  * take ownership for snapshot folder and resulting files
  * some code fixes

 -- Adrian <adrian@mxlinux.org>  Sat, 26 Dec 2020 10:15:39 -0500

## mx-snapshot 20.12.02

=== debian/changelog ===
mx-snapshot (20.12.02) mx; urgency=medium

  * add -k/--kernel option to take a snapshot with a different kernel
 
 -- Adrian <adrian@mxlinux.org>  Thu, 31 Dec 2020 18:19:03 -0500

## mx-snapshot 21.1

=== debian/changelog ===
mx-snapshot (21.1) mx; urgency=medium

  * rewrite to allow CLI/scripted mode, use -h to list options
  * catch SIGINT, SIGTERM, SIGHUP and cleanup before closing
  * check if enough space on partition (for /root, for now it ignores /home) 

 -- Adrian <adrian@mxlinux.org>  Sun, 17 Jan 2021 12:01:32 -0500

## mx-snapshot 21.1.01

=== debian/changelog ===
mx-snapshot (21.1.01) mx; urgency=medium

  * Fix select location button

 -- Adrian <adrian@mxlinux.org>  Sat, 23 Jan 2021 22:07:15 -0500

## mx-snapshot 21.1.02

=== debian/changelog ===
mx-snapshot (21.1.02) mx; urgency=medium

  * update copy-initrd-modules

 -- Adrian <adrian@mxlinux.org>  Tue, 26 Jan 2021 22:02:39 -0500

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,8 @@
 	rm -f src/translations/*.qm
 
 override_dh_auto_build:
-	lrelease src.pro
+	lrelease mx-snapshot.pro
+	head -n1 debian/changelog | sed -e "s/.*(\([^(]*\)).*/#define VERSION \"\1\"/" > version.h
 	dh_auto_build
 
 # Uncomment if building in Virtual Box

## mx-snapshot 21.1.04

=== debian/changelog ===
mx-snapshot (21.1.04) mx; urgency=medium

  * fix: size conversion

 -- Adrian <adrian@mxlinux.org>  Sun, 31 Jan 2021 15:46:40 -0500

mx-snapshot (21.1.03) mx; urgency=medium

  * make sure to add "/snapshot" to the snapshot dir

 -- Adrian <adrian@mxlinux.org>  Sun, 31 Jan 2021 13:05:48 -0500

## mx-snapshot 21.2

=== debian/changelog ===
mx-snapshot (21.2) mx; urgency=medium

  * fix: use regular expression to remove /snapshot name

 -- Adrian <adrian@mxlinux.org>  Mon, 01 Feb 2021 11:27:48 -0500

## mx-snapshot 21.2.01

=== debian/changelog ===
mx-snapshot (21.2.01) mx; urgency=medium

  * add man page

 -- Adrian <adrian@mxlinux.org>  Wed, 24 Feb 2021 19:04:48 -0500

## mx-snapshot 21.3

=== debian/changelog ===
mx-snapshot (21.3) mx; urgency=medium

  * don't copy it /etc/skel if xdg-user-dirs-update.real exists

 -- Adrian <adrian@mxlinux.org>  Mon, 01 Mar 2021 20:13:28 -0500

## mx-snapshot 21.3.01

=== debian/changelog ===
mx-snapshot (21.3.01) mx; urgency=medium

  * fix translation problem

 -- Adrian <adrian@mxlinux.org>  Tue, 02 Mar 2021 17:36:03 -0500

## mx-snapshot 21.3.02

=== debian/changelog ===
mx-snapshot (21.3.02) mx; urgency=medium

  * fix: make it more clear that the snapshot is done

 -- Adrian <adrian@mxlinux.org>  Sat, 20 Mar 2021 12:06:55 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Adrian <adrian@mxlinux.org>
-Build-Depends: debhelper (>=9), libcmd, qtbase5-dev, qttools5-dev-tools
+Build-Depends: debhelper (>=9), qtbase5-dev, qttools5-dev-tools
 Standards-Version: 3.9.8
 Vcs-Git: git://github.com/AdrianTM/mx-snapshot

## mx-snapshot 21.6

=== debian/changelog ===
mx-snapshot (21.6) mx; urgency=medium

  * Add --override-size/-o option to skip calculating free spece

 -- Adrian <adrian@mxlinux.org>  Fri, 04 Jun 2021 18:59:18 -0400

## mx-snapshot 21.6.01

=== debian/changelog ===
mx-snapshot (21.6.01) mx; urgency=medium

  * Fix: calculating occupied size when running live

 -- Adrian <adrian@mxlinux.org>  Tue, 15 Jun 2021 02:23:07 -0400

## mx-snapshot 21.6.02

=== debian/changelog ===
mx-snapshot (21.6.02) mx; urgency=medium

  * adjust config file token replacement

 -- fehlix <fehlix@mxlinux.org>  Tue, 29 Jun 2021 17:41:06 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Adrian <adrian@mxlinux.org>
-Build-Depends: debhelper (>=9), qtbase5-dev, qttools5-dev-tools
+Build-Depends: debhelper (>=10), qtbase5-dev, qttools5-dev-tools
 Standards-Version: 3.9.8
 Vcs-Git: git://github.com/AdrianTM/mx-snapshot

## mx-snapshot 21.7

=== debian/changelog ===
mx-snapshot (21.7) mx; urgency=medium

  * Add ZSTD compression support

 -- Adrian <adrian@mxlinux.org>  Sun, 25 Jul 2021 20:51:41 -0400

## mx-snapshot 21.7.01

=== debian/changelog ===
mx-snapshot (21.7.01) mx; urgency=medium

  * Add --compression-level CLI option
  * Make zstd default for monthly snapshots

 -- Adrian <adrian@mxlinux.org>  Sat, 31 Jul 2021 16:55:35 -0400

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 override_dh_auto_build:
 	lrelease mx-snapshot.pro
 	head -n1 debian/changelog | sed -e "s/.*(\([^(]*\)).*/#define VERSION \"\1\"/" > version.h
+	gzip -kf manual/mx-snapshot.8
 	dh_auto_build
 
 # Uncomment if building in Virtual Box
@@ -16,4 +17,4 @@
 	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info
 
 %:
-	dh $@ --parallel 
+	dh $@ --no-automatic-dbgsym --parallel

## mx-snapshot 21.8

=== debian/changelog ===
mx-snapshot (21.8) mx; urgency=medium

  * Improve free space detection: move work_dir to a different partition if needed and possible

 -- Adrian <adrian@mxlinux.org>  Mon, 23 Aug 2021 00:08:22 -0400

## mx-snapshot 21.9.01

=== debian/changelog ===
mx-snapshot (21.9.01) mx; urgency=medium

  * Fix: don't create /etc/skel/Desktop when not needed

 -- Adrian <adrian@mxlinux.org>  Sat, 25 Sep 2021 11:36:30 -0400

mx-snapshot (21.9) mx; urgency=medium

  * Make sure Installer icon shows on desktop in Plasma

 -- Adrian <adrian@mxlinux.org>  Sat, 25 Sep 2021 00:19:25 -0400

## mx-snapshot 22.2

=== debian/changelog ===
mx-snapshot (22.2) mx; urgency=medium

  * Add Steam (~/.steam) and VirtualBox folders exclusion options

 -- Adrian <adrian@mxlinux.org>  Fri, 04 Feb 2022 16:38:45 -0500

## mx-snapshot 22.2.02

=== debian/changelog ===
mx-snapshot (22.2.02) mx; urgency=medium

  * Fix starting editor

 -- Adrian <adrian@mxlinux.org>  Sat, 05 Feb 2022 16:05:53 -0500

mx-snapshot (22.2.01) mx; urgency=medium

  * Fix starting krite/kate as normal users when editing exlusion file

 -- Adrian <adrian@mxlinux.org>  Sat, 05 Feb 2022 13:29:48 -0500

## mx-snapshot 22.2.03

=== debian/changelog ===
mx-snapshot (22.2.03) mx; urgency=medium

  * Fix displaying critical error regarding missing compression algorithm in kernel
  * Improve text editor detection

 -- Adrian <adrian@mxlinux.org>  Sat, 12 Feb 2022 00:22:55 -0500

## mx-snapshot 22.2.04

=== debian/changelog ===
mx-snapshot (22.2.04) mx; urgency=medium

  * Add option to specify temporary work directory in /etc/mx-snapshot.conf file 
  *   for example: workdir=/tmp, program will check if the folder exits and if it's 
  *   the right partition type (only partitions that allow bind mounts can work)
  * Updated mx-snapshot.conf file format to make sure comments are not lost when 
  *   writing back to file

 -- Adrian <adrian@mxlinux.org>  Wed, 16 Feb 2022 22:16:00 -0500

## mx-snapshot 22.2.05

=== debian/changelog ===
mx-snapshot (22.2.05) mx; urgency=medium

  * Fix missing blank space when searching for editor

 -- Adrian <adrian@mxlinux.org>  Fri, 18 Feb 2022 17:41:29 -0500

## mx-snapshot 22.3

=== debian/changelog ===
mx-snapshot (22.3) mx; urgency=medium

  * Save file system size info in a file under /antiX/ folder to be used by installer

 -- Adrian <adrian@mxlinux.org>  Sat, 12 Mar 2022 14:54:20 -0500

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Adrian <adrian@mxlinux.org>
+Homepage: https://mxlinux.org
 Build-Depends: debhelper (>=10), qtbase5-dev, qttools5-dev-tools
 Standards-Version: 3.9.8
 Vcs-Git: git://github.com/AdrianTM/mx-snapshot

## mx-snapshot 22.3.01

=== debian/changelog ===
mx-snapshot (22.3.01) mx; urgency=medium

  * Minor: change system size info file name.

 -- Adrian <adrian@mxlinux.org>  Sat, 12 Mar 2022 19:15:37 -0500

## mx-snapshot 22.4

=== debian/changelog ===
mx-snapshot (22.4) mx; urgency=medium

  * Check if output file already exits and ask user to change the name or remove the existent file.
  * Unbuffer mksqashfs if ran from CLI and if 'expect' package is installed.
  * Preserve /var/log/apache2 to make sure Apache starts.
  * Add option to man page.

 -- Adrian <adrian@mxlinux.org>  Tue, 12 Apr 2022 13:57:36 -0400

## mx-snapshot 22.4.01

=== debian/changelog ===
mx-snapshot (22.4.01) mx; urgency=medium

  * Make sure the output text is added at the end of output box (clicking inside the output box should not more the cursor arround and clobber text)
  * Don't run runuser command inside a login shell; it can create problems if user has scripts that output text at login

 -- Adrian <adrian@mxlinux.org>  Sat, 16 Apr 2022 17:54:54 -0400

## mx-snapshot 22.6

=== debian/changelog ===
mx-snapshot (22.6) mx; urgency=medium

  * Preserve user theme when launching program as root
  * Make sure HOME and XDG_RUNTIME_DIR are correct when launching as root

 -- Adrian <adrian@mxlinux.org>  Mon, 13 Jun 2022 10:32:02 -0400

## mx-snapshot 22.6.01

=== debian/changelog ===
mx-snapshot (22.6.01) mx; urgency=medium

  * Fix resetting accounts/respin mode

 -- Adrian <adrian@mxlinux.org>  Wed, 15 Jun 2022 19:05:55 -0400

## mx-snapshot 22.7

=== debian/changelog ===
mx-snapshot (22.7) mx; urgency=medium

  * translation update 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 23 Jul 2022 12:30:30 -0400

mx-snapshot (22.6.02) mx; urgency=medium

  *  Fix: don't remove all exclusions when Exclude all is toggled off when one of the exclusions is removed

 -- Adrian <adrian@mxlinux.org>  Sat, 18 Jun 2022 12:21:56 -0400

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,7 @@
 
 Package: mx-snapshot
 Architecture: any
-Depends: menu,
-         mx-iso-template | iso-template (>= 16.1mx15),
+Depends: mx-iso-template | iso-template (>= 16.1mx15),
          mx-remaster,
          mx-viewer | xdg-utils,
          squashfs-tools,

## mx-snapshot 22.8

=== debian/changelog ===
mx-snapshot (22.8) mx; urgency=medium

  * Fix: launching Firefox from Help
  * Translation update

 -- Adrian <adrian@mxlinux.org>  Wed, 17 Aug 2022 16:41:43 -0400

## mx-snapshot 22.8.01

=== debian/changelog ===
mx-snapshot (22.8.01) mx; urgency=medium

  * Use gio open instead of xdg-open to open documents

 -- Adrian <adrian@mxlinux.org>  Mon, 22 Aug 2022 12:34:16 -0400

## mx-snapshot 22.8.02

=== debian/changelog ===
mx-snapshot (22.8.02) mx; urgency=medium

  * Adds a shutdown when done option (checkbox before starting in GUI and --shutdown CLI option)

 -- Adrian <adrian@mxlinux.org>  Tue, 23 Aug 2022 19:14:05 -0400

## mx-snapshot 22.8.03

=== debian/changelog ===
mx-snapshot (22.8.03) mx; urgency=medium

  * update hyper-v initrd modules

 -- fehlix <fehlix@mxlinux.org>  Wed, 31 Aug 2022 16:32:30 -0400

## mx-snapshot 22.9

=== debian/changelog ===
mx-snapshot (22.9) mx; urgency=medium

  * Add exclusion for ~/.local/share/Steam (for Steam package install from steampowered.com)

 -- Adrian <adrian@mxlinux.org>  Wed, 07 Sep 2022 11:45:51 -0400

## mx-snapshot 22.9.02

=== debian/changelog ===
mx-snapshot (22.9.02) mx; urgency=medium

  * Revert untested code that was creating some issues

 -- Adrian <adrian@mxlinux.org>  Fri, 09 Sep 2022 08:52:10 -0400

mx-snapshot (22.9.01) mx; urgency=medium

  * Fix calculating md5sum for linuxfs file

 -- Adrian <adrian@mxlinux.org>  Thu, 08 Sep 2022 16:15:36 -0400

## mx-snapshot 22.10

=== debian/changelog ===
mx-snapshot (22.10) mx; urgency=medium

  * translation refresh 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 26 Oct 2022 20:07:26 -0400

## mx-snapshot 22.10.03

=== debian/changelog ===
mx-snapshot (22.10.03) mx; urgency=medium

  * Update /etc/mx-version and /etc/lsb-release files with the provided info

 -- Adrian <adrian@mxlinux.org>  Sat, 29 Oct 2022 13:21:48 -0400

mx-snapshot (22.10.02) mx; urgency=medium

  ^ Execute a sync before automatic shutdown

 -- Adrian <adrian@mxlinux.org>  Sat, 29 Oct 2022 07:47:56 -0400

mx-snapshot (22.10.01) mx; urgency=medium

  * Make it possible to select different checksum, not all or nothing
  * Provide more info about compression algorithms
  * Remove code targetting versions < Stretch
  * Add optional customization for name of the project, version, date, codename, boot options

 -- Adrian <adrian@mxlinux.org>  Sat, 29 Oct 2022 00:53:23 -0400

## mx-snapshot 22.10.04

=== debian/changelog ===
mx-snapshot (22.10.04) mx; urgency=medium

  * Fix quoting for name/description strings

 -- Adrian <adrian@mxlinux.org>  Sun, 30 Oct 2022 10:32:39 -0400

## mx-snapshot 22.10.05

=== debian/changelog ===
mx-snapshot (22.10.05) mx; urgency=medium

  * Add custom boot options directly to GRUB menu

 -- Adrian <adrian@mxlinux.org>  Sun, 30 Oct 2022 19:37:17 -0400

## mx-snapshot 22.11

=== debian/changelog ===
mx-snapshot (22.11) mx; urgency=medium

  * Add compressed kernel-modules handling. A mx-iso-template update is also required for this feature

 -- Adrian <adrian@mxlinux.org>  Mon, 28 Nov 2022 18:26:08 -0500

## mx-snapshot 22.12.01

=== debian/changelog ===
mx-snapshot (22.12.01) mx; urgency=medium

  * Fix: set application display name

 -- Adrian <adrian@mxlinux.org>  Sat, 03 Dec 2022 12:02:24 -0500

mx-snapshot (22.12) mx; urgency=medium

  * Read booted kernel options and set them as default when creating a snapshot

 -- Adrian <adrian@mxlinux.org>  Sat, 03 Dec 2022 00:06:10 -0500

## mx-snapshot 22.12.02

=== debian/changelog ===
mx-snapshot (22.12.02) mx; urgency=medium

  * Fix: remove linefeed from cmdline boot parameter
  * Do not save build-in kernel parameter

 -- fehlix <fehlix@mxlinux.org>  Wed, 07 Dec 2022 17:38:50 -0500

## mx-snapshot 22.12.03

=== debian/changelog ===
mx-snapshot (22.12.03) mx; urgency=medium

  * Fix: finding system editor

 -- Adrian <adrian@mxlinux.org>  Tue, 20 Dec 2022 07:26:41 -0500

## mx-snapshot 22.12.04

=== debian/changelog ===
mx-snapshot (22.12.04) mx; urgency=medium

  * Update copy-initrd-programs for luks2, see cli-shell-utils changelog

 -- Adrian <adrian@mxlinux.org>  Tue, 27 Dec 2022 22:20:27 -0500

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
 Architecture: any
 Depends: mx-iso-template | iso-template (>= 16.1mx15),
          mx-remaster,
-         mx-viewer | xdg-utils,
          squashfs-tools,
          syslinux-utils,
          xdg-user-dirs,

## mx-snapshot 23.1

=== debian/changelog ===
mx-snapshot (23.1) mx; urgency=medium

  * New translations

 -- Adrian <adrian@mxlinux.org>  Mon, 16 Jan 2023 19:59:39 -0500

## mx-snapshot 23.1.01

=== debian/changelog ===
mx-snapshot (23.1.01) mx; urgency=medium

  * Better handling if /etc/lsb-release is missing

 -- Adrian <adrian@mxlinux.org>  Wed, 18 Jan 2023 00:59:14 -0500

## mx-snapshot 23.2

=== debian/changelog ===
mx-snapshot (23.2) mx; urgency=medium

  * Add -w/--workdir option
  * Update translations 

 -- Adrian <adrian@mxlinux.org>  Sun, 19 Feb 2023 13:53:25 -0500

## mx-snapshot 23.2.02

=== debian/changelog ===
mx-snapshot (23.2.02) mx; urgency=medium

  * Fixed translations

 -- Adrian <adrian@mxlinux.org>  Thu, 23 Feb 2023 08:40:03 -0500

mx-snapshot (23.2.01) mx; urgency=medium

  * Allow to put wordir in tmpfs or ramfs
  * -- For ramfs you need to pass -o/--override-size because ramfs grows dynamically

 -- Adrian <adrian@mxlinux.org>  Wed, 22 Feb 2023 10:27:12 -0500

## mx-snapshot 23.2.03

=== debian/changelog ===
mx-snapshot (23.2.03) mx; urgency=medium

  * If using a ramfs as a workdir, use available RAM instead of having to run with -o/--override-size

 -- Adrian <adrian@mxlinux.org>  Fri, 24 Feb 2023 22:08:15 -0500

## mx-snapshot 23.2.04

=== debian/changelog ===
mx-snapshot (23.2.04) mx; urgency=medium

  * Copy /etc/initrd_release into live initrd if exist
  * Add periodic update- and anacron-stamp to exclusion list
  * Add more browser cache and history files to exclusion list
  * Use C locale to determine free memory

 -- fehlix <fehlix@mxlinux.org>  Mon, 27 Feb 2023 10:46:11 -0500

## mx-snapshot 23.3

=== debian/changelog ===
mx-snapshot (23.3) mx; urgency=medium

  * Add option to change the default live kernel

 -- Adrian <adrian@mxlinux.org>  Wed, 08 Mar 2023 22:48:00 -0500

## mx-snapshot 23.3.01

=== debian/changelog ===
mx-snapshot (23.3.01) mx; urgency=medium

  * Exclude /root/.cache by default
  * Minor fix for monthly snapshot build helper
  * Make sure GUI is active while displaying help

 -- Adrian <adrian@mxlinux.org>  Thu, 16 Mar 2023 23:46:25 -0400

## mx-snapshot 23.3.02

=== debian/changelog ===
mx-snapshot (23.3.02) mx; urgency=medium

  * Exclude swap file(s)

 -- Adrian <adrian@mxlinux.org>  Tue, 21 Mar 2023 19:37:35 -0400

## mx-snapshot 23.3.03

=== debian/changelog ===
mx-snapshot (23.3.03) mx; urgency=medium

  * Remove resume, resume_offset, and cryptsetup from kernel options 

 -- Adrian <adrian@mxlinux.org>  Wed, 22 Mar 2023 10:27:02 -0400

## mx-snapshot 23.4

=== debian/changelog ===
mx-snapshot (23.4) mx; urgency=medium

  * Update icon
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Thu, 13 Apr 2023 23:52:41 -0400

## mx-snapshot 23.4.01

=== debian/changelog ===
mx-snapshot (23.4.01) mx; urgency=medium

  * Fix iso-snapshot-cli-exclude.list link

 -- Adrian <adrian@mxlinux.org>  Wed, 19 Apr 2023 16:44:03 -0400

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5

override_dh_auto_clean:
	dh_auto_clean
	rm -f src/translations/*.qm

override_dh_auto_configure:
	dh_auto_configure -- mx-snapshot.pro

override_dh_auto_build:
	lrelease mx-snapshot.pro
	head -n1 debian/changelog | sed -e "s/.*(\([^(]*\)).*/#define VERSION \"\1\"/" > version.h
	gzip -kf manual/mx-snapshot.8
	gzip -kf manual/iso-snapshot-cli.8
	# build mx-snapshot
	dh_auto_build
	mv mx-snapshot mx-snapshot-binary
	# clean, reconfigure, and build iso-snapshot-cli
	dh_auto_clean
	dh_auto_configure -- iso-snapshot-cli.pro
	dh_auto_build
	# before installing move binary back and make a iso-snapshot-cli copy of .list file
	mv mx-snapshot-binary mx-snapshot
	cp mx-snapshot-exclude.list iso-snapshot-cli-exclude.list

override_dh_shlibdeps:
	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info

%:
	dh $@ --no-automatic-dbgsym --parallel

## mx-snapshot 23.5

=== debian/changelog ===
mx-snapshot (23.5) mx; urgency=medium

  * Update icon
  * Refresh translations

 -- Adrian <adrian@mxlinux.org>  Sun, 14 May 2023 22:19:34 -0400

## mx-snapshot 23.5.01

=== debian/changelog ===
mx-snapshot (23.5.01) mx; urgency=medium

  * Update logo

 -- Adrian <adrian@mxlinux.org>  Thu, 18 May 2023 00:08:21 -0400

## mx-snapshot 23.5.02

=== debian/changelog ===
mx-snapshot (23.5.02) mx; urgency=medium

  * Use snapshot-bootparameter.sh script to get a list of kernel options

 -- Adrian <adrian@mxlinux.org>  Thu, 18 May 2023 22:15:02 -0400

## mx-snapshot 23.5.04

=== debian/changelog ===
mx-snapshot (23.5.04) mx; urgency=medium

  * Addjust bootparmeter list
  * Add icon to polkit-policy

 -- Adrian <adrian@mxlinux.org>  Sun, 21 May 2023 13:47:51 -0400

mx-snapshot (23.5.03) mx; urgency=medium

  * Fix path snapshot-bootparameter.sh
  * Don't exclude live_swap=off

 -- Adrian <adrian@mxlinux.org>  Sun, 21 May 2023 12:00:59 -0400

## mx-snapshot 23.5.05

=== debian/changelog ===
mx-snapshot (23.5.05) mx; urgency=medium

  * Fix to handle empty resulting boot parameter list

 -- Adrian <adrian@mxlinux.org>  Mon, 22 May 2023 08:02:01 -0400

## mx-snapshot 23.7

=== debian/changelog ===
mx-snapshot (23.7) mx; urgency=medium

  [ fehlix ]
  * Remove rootflags and init from saved bootparamter

  [ Dolphin Oracle ]
  * new build

 -- Dolphin Oracle  <dolphinoracle@gmail.com>  Mon, 03 Jul 2023 19:12:11 -0500

mx-snapshot (23.6) mx; urgency=medium

  * Improve file editor detection (for editing exclusion file)
  * Refresh translations

 -- Adrian <adrian@mxlinux.org>  Sun, 18 Jun 2023 22:59:13 -0400

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 override_dh_auto_build:
 	lrelease mx-snapshot.pro
-	head -n1 debian/changelog | sed -e "s/.*(\([^(]*\)).*/#define VERSION \"\1\"/" > version.h
+	head -n1 debian/changelog | sed -e "s/.*(\([^(]*\)).*/const QString VERSION {\"\1\"};/" > version.h
 	gzip -kf manual/mx-snapshot.8
 	gzip -kf manual/iso-snapshot-cli.8
 	# build mx-snapshot

## mx-snapshot 23.7.01

=== debian/changelog ===
mx-snapshot (23.7.01) mx; urgency=medium

  * Update translations

 -- Adrian <adrian@mxlinux.org>  Thu, 20 Jul 2023 17:19:44 -0400

## mx-snapshot 23.7.02

=== debian/changelog ===
mx-snapshot (23.7.02) mx; urgency=medium

  * Fix a couple of translations

 -- Adrian <adrian@mxlinux.org>  Mon, 24 Jul 2023 15:10:39 -0400

## mx-snapshot 23.8

=== debian/changelog ===
mx-snapshot (23.8) mx; urgency=medium

  * Fix to make window fit lower resolution screens

 -- Adrian <adrian@mxlinux.org>  Tue, 22 Aug 2023 17:37:48 -0400

## mx-snapshot 23.10

=== debian/changelog ===
mx-snapshot (23.10) mx; urgency=medium

  * Remove resume, hibernate, and checkmd5 from saved boot parameters
  * Adjust debian rules clean: Remove compiled translations and compressed man pages from source

 -- fehlix <fehlix@mxlinux.org>  Mon, 09 Oct 2023 04:56:22 -0400

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5

DEB_BUILD_VERSION := $(shell dpkg-parsechangelog -S Version)

override_dh_auto_clean:
	dh_auto_clean
	rm -f manual/*.gz
	rm -f src/manual/*.gz
	rm -f translations/*.qm
	rm -f src/translations/*.qm

override_dh_auto_configure:
	dh_auto_configure -- mx-snapshot.pro

override_dh_auto_build:
	lrelease mx-snapshot.pro
	mv version.h version.h~
	echo "const QString VERSION {\"$(DEB_BUILD_VERSION)\"};" > version.h
	gzip -kf manual/mx-snapshot.8
	gzip -kf manual/iso-snapshot-cli.8
	# build mx-snapshot
	dh_auto_build
	mv mx-snapshot mx-snapshot-binary
	# clean, reconfigure, and build iso-snapshot-cli
	mv version.h~ version.h
	dh_auto_clean
	mv version.h version.h~
	echo "const QString VERSION {\"$(DEB_BUILD_VERSION)\"};" > version.h
	dh_auto_configure -- iso-snapshot-cli.pro
	dh_auto_build
	# before installing move binary back and make a iso-snapshot-cli copy of .list file
	mv mx-snapshot-binary mx-snapshot
	cp mx-snapshot-exclude.list iso-snapshot-cli-exclude.list

override_dh_shlibdeps:
	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info

execute_after_dh_builddeb:
	mv version.h~ version.h

%:
	dh $@ --no-automatic-dbgsym --parallel
